Package com.evopdf

# Class RectangleElement

java.lang.Object
com.evopdf.PageElement
com.evopdf.PageGraphicElement
com.evopdf.RectangleElement

public class RectangleElement extends PageGraphicElement
This class represents a rectangle in a PDF document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RectangleElement(float x, float y, float width, float height)`
  Constructs a rectangle element based on the rectangle top left corner coordinates, width and height
  `RectangleElement(RectangleFloat rectangle)`
  Constructs a rectangle element based on a bounding rectangle

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `height()`
  Gets the rectangle height
  `void`
  `setHeight(float height)`
  Sets the rectangle height
  `void`
  `setWidth(float width)`
  Sets the rectangle width
  `void`
  `setX(float x)`
  Sets the top left corner X coordinate
  `void`
  `setY(float y)`
  Sets the top left corner Y coordinate
  `float`
  `width()`
  Gets the rectangle width
  `float`
  `x()`
  Gets the top left corner X coordinate
  `float`
  `y()`
  Gets the top left corner Y coordinate

  ### Methods inherited from class com.evopdf.PageGraphicElement

  `backColor, blending, clipRectangle, foreColor, gradient, lineStyle, opacity, rotate, scale, setBackColor, setBlending, setClipRectangle, setForeColor, setGradient, setLineStyle, setOpacity, skew, translate`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RectangleElement

    public RectangleElement(float x, float y, float width, float height)
    Constructs a rectangle element based on the rectangle top left corner coordinates, width and height
    Parameters:
      `x` - the X coordinate
      `y` - the Y coordinate
      `width` - the rectangle width
      `height` - the rectangle height

  - ### RectangleElement

    public RectangleElement(RectangleFloat rectangle)
    Constructs a rectangle element based on a bounding rectangle
    Parameters:
      `rectangle` - the bounding rectangle

- ## Method Details

  - ### x

    public float x()
    Gets the top left corner X coordinate
    Returns:
      the top left corner X coordinate

  - ### setX

    public void setX(float x)
    Sets the top left corner X coordinate
    Parameters:
      `x` - the top left corner X coordinate to set

  - ### y

    public float y()
    Gets the top left corner Y coordinate
    Returns:
      the top left corner Y coordinate

  - ### setY

    public void setY(float y)
    Sets the top left corner Y coordinate
    Parameters:
      `y` - the top left corner Y coordinate to set

  - ### width

    public float width()
    Gets the rectangle width
    Returns:
      the rectangle width

  - ### setWidth

    public void setWidth(float width)
    Sets the rectangle width
    Parameters:
      `width` - the rectangle width to set

  - ### height

    public float height()
    Gets the rectangle height
    Returns:
      the rectangle height

  - ### setHeight

    public void setHeight(float height)
    Sets the rectangle height
    Parameters:
      `height` - the rectangle height to set